<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <parent>
        <artifactId>4dkankan-parent</artifactId>
        <groupId>com.fdkankan</groupId>
        <version>2.0.0</version>
    </parent>


    <artifactId>4dkankan-center-platform</artifactId>

  <dependencies>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-center-platform-api</artifactId>
          <version>2.0.0</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-common</artifactId>
          <version>2.0.0</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-pay</artifactId>
          <version>2.0.0</version>
      </dependency>

      <dependency>
          <groupId>org.projectlombok</groupId>
          <artifactId>lombok</artifactId>
      </dependency>
      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-pom</artifactId>
          <version>2.0.0</version>
      </dependency>

<!--      二维码-->
      <dependency>
          <groupId>com.github.penggle</groupId>
          <artifactId>kaptcha</artifactId>
          <version>2.3.2</version>
      </dependency>
      <dependency>
          <groupId>com.google.zxing</groupId>
          <artifactId>core</artifactId>
          <version>2.1</version>
      </dependency>
      <dependency>
          <groupId>com.google.code.gson</groupId>
          <artifactId>gson</artifactId>
          <version>2.8.5</version>
      </dependency>

      <dependency>
          <groupId>com.qiniu</groupId>
          <artifactId>qiniu-java-sdk</artifactId>
          <version>7.2.0</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-common-mq</artifactId>
          <version>2.0.0</version>
      </dependency>

  </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <testFailureIgnore>true</testFailureIgnore>
                </configuration>
            </plugin>
        </plugins>

    </build>


</project>